# Uses of Interface
org.eclipse.birt.report.engine.content.IListContent

Packages that use IListContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of IListContent in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return IListContent
Modifier and Type
Method
Description
`IListContent`
IReportContent.`createListContent()`
Create the list content
Methods in org.eclipse.birt.report.engine.content with parameters of type IListContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitList(IListContent list, Object value)`
visit list content

## Uses of IListContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type IListContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`endList(IListContent list)`
End list
`void`
IContentEmitter.`startList(IListContent list)`
Start list